Page MenuHomePhabricator

Migrate ORES extension threshold config from old to new syntax
Closed, ResolvedPublic

Description

This should be done carefully, starting with beta cluster config. Edit $wgOresFiltersThresholds in wmf-config/InitialiseSettings.php and change from the old syntax, e.g. recall_at_precision(min_precision=0.15) to the new syntax:
maximum recall @ precision >= 0.15

Remaining deployment steps for this task:

Event Timeline

awight created this task.Nov 22 2017, 3:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2017, 3:31 PM
awight updated the task description. (Show Details)Mar 1 2018, 11:03 PM

Change 415861 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Convert ORES tresholds config to new syntax (beta)

https://gerrit.wikimedia.org/r/415861

Change 415861 merged by jenkins-bot:
[operations/mediawiki-config@master] Convert ORES tresholds config to new syntax (beta)

https://gerrit.wikimedia.org/r/415861

Halfak assigned this task to awight.Mar 12 2018, 3:51 PM
Halfak moved this task from Active to Review on the Scoring-platform-team (Current) board.
awight moved this task from Review to Active on the Scoring-platform-team (Current) board.

This isn't working. I'll look for debug info and then revert the current patch.

Change 419223 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Fix new ORES threshold syntax

https://gerrit.wikimedia.org/r/419223

Change 419223 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix new ORES threshold syntax

https://gerrit.wikimedia.org/r/419223

Mentioned in SAL (#wikimedia-operations) [2018-03-13T17:19:40Z] <awight@tin> Started scap: Beta: Fix ORES thresholds and enable JADE, T181159, T176333

Looks good now.

Mentioned in SAL (#wikimedia-operations) [2018-03-13T18:46:55Z] <demon@tin> scap failed: LockFailedError Failed to acquire lock "/var/lock/scap.operations_mediawiki-config.lock"; owner is "awight"; reason is "Beta: Fix ORES thresholds and enable JADE, T181159, T176333" (duration: 00m 00s)

Mentioned in SAL (#wikimedia-operations) [2018-03-13T18:47:38Z] <demon@tin> scap failed: LockFailedError Failed to acquire lock "/var/lock/scap.operations_mediawiki-config.lock"; owner is "awight"; reason is "Beta: Fix ORES thresholds and enable JADE, T181159, T176333" (duration: 00m 00s)

Change 419499 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Update ORES threshold config to the new syntax

https://gerrit.wikimedia.org/r/419499

Change 419499 merged by jenkins-bot:
[operations/mediawiki-config@master] Update ORES threshold config to the new syntax

https://gerrit.wikimedia.org/r/419499

Mentioned in SAL (#wikimedia-operations) [2018-03-14T23:18:57Z] <tgr@tin> Synchronized wmf-config/InitialiseSettings-labs.php: T181159 Update ORES threshold config to the new syntax (duration: 01m 15s)

Mentioned in SAL (#wikimedia-operations) [2018-03-14T23:21:19Z] <tgr@tin> Synchronized wmf-config/InitialiseSettings.php: T181159 Update ORES threshold config to the new syntax (duration: 01m 20s)

Change 419856 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Update default thresholds to new syntax

https://gerrit.wikimedia.org/r/419856

Change 419857 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/ORES@master] Remove old thresholds syntax parser

https://gerrit.wikimedia.org/r/419857

Change 419856 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Update default thresholds to new syntax

https://gerrit.wikimedia.org/r/419856

Remaining deployment steps for this task:

awight updated the task description. (Show Details)Mar 19 2018, 5:35 PM
awight updated the task description. (Show Details)Mar 19 2018, 5:47 PM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)Mar 19 2018, 6:23 PM
awight added a subscriber: Ladsgroup.

@Ladsgroup This is ready for CR and merge now: https://gerrit.wikimedia.org/r/419857

Change 419857 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Remove old thresholds syntax parser

https://gerrit.wikimedia.org/r/419857

awight closed this task as Resolved.May 2 2018, 6:46 PM